LibreOffice LibreOffice 26.2 SDK API Reference

Public Attributes | List of all members
XNumericControl Interface Reference

defines the interface for an XPropertyControl which supports displaying and entering numerical values. More...

`import"XNumericControl.idl";`

Inheritance diagram for XNumericControl:

## Public Attributes
short | DecimalDigits
| describes the number of decimal digits to use for the value More...
com::sun::star::beans::Optional< double > | MinValue
| describes the minimum value which is allowed to be entered in the control More...
com::sun::star::beans::Optional< double > | MaxValue
| describes the maximum value which is allowed to be entered in the control More...
short | DisplayUnit { set raises(com::sun::star::lang::IllegalArgumentException); }
| describes a com::sun::star::util::MeasureUnit to be applied for displaying values. More...
short | ValueUnit
| describes a com::sun::star::util::MeasureUnit to be applied for transferring values. More...
Public Attributes inherited from XPropertyControl
short | ControlType
| denotes the type of the control, as one of the PropertyControlType constants More...
any | Value { set raises(com::sun::star::beans::IllegalTypeException); }
| denotes the current content of the control. More...
type | ValueType
| denotes the value type of the control. More...
XPropertyControlContext | ControlContext
| specifies the context of the control within the ObjectInspector. More...
com::sun::star::awt::XWindow | ControlWindow
| denotes the window which is the real UI representation of the property control. More...

## Additional Inherited Members
Public Member Functions inherited from XPropertyControl
boolean | isModified ()
| determines whether the control content is currently modified More...
void | notifyModifiedValue ()
| notifies the context in which the control lives of the current control value, if this value is currently modified More...

## Detailed Description

defines the interface for an XPropertyControl which supports displaying and entering numerical values.

Since
  OOo 2.0.3

## Member Data Documentation

## ◆ DecimalDigits

short DecimalDigits
| attribute

describes the number of decimal digits to use for the value

## ◆ DisplayUnit

short DisplayUnit
set raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |
| attribute

describes a com::sun::star::util::MeasureUnit to be applied for displaying values.

Only a certain set of com::sun::star::util::MeasureUnit values is supported. In particular, every value which denotes a fraction of another unit (like 100th millimeters) cannot be used as DisplayUnit.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the caller attempts to set an unsupported com::sun::star::util::MeasureUnit

## ◆ MaxValue

com::sun::star::beans::Optional<double> MaxValue
| attribute

describes the maximum value which is allowed to be entered in the control

## ◆ MinValue

com::sun::star::beans::Optional<double> MinValue
| attribute

describes the minimum value which is allowed to be entered in the control

## ◆ ValueUnit

short ValueUnit
| attribute

describes a com::sun::star::util::MeasureUnit to be applied for transferring values.

The core measurement unit for a property value might differ from the unit which is used by the control to display it. For instance, your property value might require that your values denote 100th millimeters, but to the user, you want to present the value as, say, inches. In this case, a numeric control can automatically handle the value conversion for you, if you give it a ValueUnit different from the DisplayUnit.

See also
  XPropertyControl::Value

The documentation for this interface was generated from the following file:

- com/sun/star/inspection/XNumericControl.idl